## kweather 25.12.1

=== debian/changelog ===
kweather (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:15:18 +0000

kweather (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:33:51 +0000

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkweathercore-dev (>= 25.12.1~),
               libqt6opengl6-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather

Package: kweather
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-weathercore,
         qml6-module-qtcharts,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

## kweather 25.12.1+p24.04+vstable+git20260106.1417

=== debian/changelog ===
kweather (25.12.1+p24.04+vstable+git20260106.1417-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:17:09 +0000

kweather (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:01 +1000

## kweather 25.12.1+p24.04+vstable+git20260130.0826

=== debian/changelog ===
kweather (25.12.1+p24.04+vstable+git20260130.0826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:26:18 +0000

## kweather 25.12.1+p24.04+vstable+git20260205.0557

=== debian/changelog ===
kweather (25.12.1+p24.04+vstable+git20260205.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:57:29 +0000

## kweather 25.12.1+p24.04+vunstable+git20260201.0758

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-FileCopyrightText: 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kweather VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.12.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_PLASMOID "Build the weather plasmoid" ON)

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMCheckOutboundLicense)
include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMQmlModule)
include(ECMAddAndroidApk)
include(ECMDeprecationSettings)

ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.19.0
    )

# clang-format
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KWEATHER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Quick
    Test
    Gui
    Svg
    QuickControls2
    Charts
    OpenGL
)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    Kirigami
    I18n
    CoreAddons
    Notifications
)
find_package(KWeatherCore 0.8.0 REQUIRED)

find_package(KF6KirigamiAddons 0.11 REQUIRED)

if (ANDROID)
    find_package(OpenSSL REQUIRED)
else ()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
endif()

if (NOT ANDROID AND BUILD_PLASMOID)
   find_package(Plasma REQUIRED)
endif()

ecm_find_qmlmodule(org.kde.kholidays 1.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
add_subdirectory(src)

ki18n_install(po)

if (ANDROID)
    install(FILES org.kde.kweather.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
else()
    install(PROGRAMS org.kde.kweather.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kweather.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES org.kde.kweather.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)

    # DBus
    configure_file(org.kde.kweather.service.in
                ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kweather.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kweather.service
            DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h src/*.qml)
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES ${ALL_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kweather (25.12.1+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:49 +0000

## kweather 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})
@@ -44,7 +44,7 @@
 include(ECMDeprecationSettings)
 
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.19.0
+    KF 6.17.0
     )
 
 # clang-format

=== debian/changelog ===
kweather (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:30:08 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.12.1~),
+               libkweathercore-dev (>= 25.12.2~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.12.2+p24.04+vunstable+git20260207.0548

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-FileCopyrightText: 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

set(kweather_SRCS
    main.cpp
    weatherlocationlistmodel.cpp
    weatherlocationlistmodel.h
    weatherlocation.cpp
    weatherlocation.h
    locationquerymodel.cpp
    locationquerymodel.h
    temperaturechartdata.cpp
    temperaturechartdata.h
    formatter.cpp
    formatter.h
)

if (NOT ANDROID)
    set(kweather_SRCS
        ${kweather_SRCS}
        weatherbackground.cpp
        weatherbackground.h
    )
endif()

add_library(kweatherLib STATIC)
set_target_properties(kweatherLib PROPERTIES POSITION_INDEPENDENT_CODE ON)
kconfig_add_kcfg_files(kweatherLib kweathersettings.kcfgc GENERATE_MOC)
target_link_libraries(kweatherLib
    Qt::Core
    KF6::ConfigCore
    KF6::ConfigGui
)

add_executable(kweather ${kweather_SRCS})

qt_add_qml_module(kweather
    URI "org.kde.kweather"
    VERSION 1.0
    QML_FILES
    "qml/Main.qml"
    "qml/WeatherDayDelegate.qml"
    "qml/WeatherHourDelegate.qml"
    "qml/ForecastContainerPage.qml"
    "qml/DefaultPage.qml"
    "qml/SetupWizard.qml"
    "qml/TemperatureChartCard.qml"
    "qml/SunriseCard.qml"
    "qml/InfoCard.qml"
    "qml/WeatherStrip.qml"
    SOURCES
    weatherlocationlistmodel.cpp
    weatherlocationlistmodel.h
    DEPENDENCIES
    QtCore
)

qt_add_qml_module(kweatherflatforecast
    URI "org.kde.kweather.forecast.flat"
    VERSION 1.0
    QML_FILES
    "qml/forecast/flat/FlatForecastPage.qml"
    "qml/forecast/flat/FlatLocationForecast.qml"
    STATIC
)

qt_add_qml_module(kweatherdynamicforecast
    URI "org.kde.kweather.forecast.dynamic"
    VERSION 1.0
    QML_FILES
    "qml/forecast/dynamic/DynamicForecastBackground.qml"
    "qml/forecast/dynamic/DynamicForecastContent.qml"
    "qml/forecast/dynamic/DynamicForecastHeader.qml"
    "qml/forecast/dynamic/DynamicForecastPage.qml"
    STATIC
)

qt_add_qml_module(kweatherbackgrounds
    URI "org.kde.kweather.backgrounds"
    VERSION 1.0
    QML_FILES
    "qml/backgrounds/DynamicBackground.qml"
    "qml/backgrounds/ClearDay.qml"
    "qml/backgrounds/ClearNight.qml"
    "qml/backgrounds/CloudyDay.qml"
    "qml/backgrounds/CloudyNight.qml"
    "qml/backgrounds/Misty.qml"
    "qml/backgrounds/PartlyCloudyDay.qml"
    "qml/backgrounds/PartlyCloudyNight.qml"
    "qml/backgrounds/RainyDay.qml"
    "qml/backgrounds/RainyNight.qml"
    "qml/backgrounds/SnowyDay.qml"
    "qml/backgrounds/SnowyNight.qml"
    STATIC
)

qt_add_qml_module(kweatherbackgroundscomponents
    URI "org.kde.kweather.backgrounds.components"
    VERSION 1.0
    QML_FILES
    "qml/backgrounds/components/Sun.qml"
    "qml/backgrounds/components/Stars.qml"
    "qml/backgrounds/components/Snow.qml"
    "qml/backgrounds/components/Rain.qml"
    "qml/backgrounds/components/Cloud.qml"
    "qml/backgrounds/components/Cloudy.qml"
    STATIC
)

qt_add_qml_module(kweathercomponents
    URI "org.kde.kweather.components"
    VERSION 1.0
    QML_FILES
    "qml/components/ListDelegate.qml"
    "qml/components/PageContainer.qml"
    "qml/components/PageHeader.qml"
    "qml/components/PageStack.qml"
    STATIC
)

qt_add_qml_module(kweatherlocations
    URI "org.kde.kweather.locations"
    VERSION 1.0
    QML_FILES
    "qml/locationslist/LocationsListView.qml"
    "qml/locationslist/LocationsListPage.qml"
    "qml/locationslist/LocationsListDialog.qml"
    "qml/locationslist/AddLocationDialog.qml"
    "qml/locationslist/AddLocationListView.qml"
    "qml/locationslist/AddLocationPage.qml"
    STATIC
)

qt_add_qml_module(kweathersettings
    URI "org.kde.kweather.settings"
    VERSION 1.0
    QML_FILES
    "qml/settings/SettingsPage.qml"
    "qml/settings/SettingsComponent.qml"
    "qml/settings/SettingsDialog.qml"
    "qml/settings/TemperatureUnitComboBox.qml"
    "qml/settings/SpeedUnitComboBox.qml"
    "qml/settings/PressureUnitComboBox.qml"
    "qml/settings/PrecipitationUnitComboBox.qml"

    STATIC
)

target_link_libraries(kweather
    PUBLIC
    Qt6::Qml
    Qt6::QuickControls2
    Qt6::Network
    Qt6::Charts
    Qt6::OpenGL
    KF6::I18n
    KF6::CoreAddons
    KF6::Notifications
    KF6::I18nQml
    KWeatherCore
    kweatherLib
    kweatherbackgroundsplugin
    kweatherbackgroundscomponentsplugin
    kweathercomponentsplugin
    kweatherlocationsplugin
    kweathersettingsplugin
    kweatherflatforecastplugin
    kweatherdynamicforecastplugin
)

add_subdirectory(resources)

if (ANDROID)
    target_link_libraries(kweather
        PUBLIC
        OpenSSL::SSL
        Qt6::Svg
        Qt6::Qml
        Qt6::Quick
    )

    kirigami_package_breeze_icons(ICONS
        raindrop
        globe
        settings-configure
        network-disconnect
        search
        list-add
        delete
        arrow-right
        speedometer
        go-up
        go-down
        go-right
        arrow-up-symbolic
        arrow-down-symbolic
        arrow-left-symbolic
        arrow-right-symbolic
        compass
        mark-location
        find-location
        system-user-list
        applications-development-symbolic
        checkmark
        temperature-normal-symbolic

        weather-clear
        weather-clear-symbolic
        weather-clear-night
        weather-clear-night-symbolic
        weather-clear-wind
        weather-clear-wind-symbolic
        weather-clear-wind-night
        weather-clear-wind-night-symbolic
        weather-clouds
        weather-clouds-symbolic
        weather-clouds-night
        weather-clouds-night-symbolic
        weather-clouds-wind
        weather-clouds-wind-symbolic
        weather-clouds-wind-night
        weather-clouds-wind-night-symbolic
        weather-few-clouds
        weather-few-clouds-symbolic
        weather-few-clouds-night
        weather-few-clouds-night-symbolic
        weather-few-clouds-wind
        weather-few-clouds-wind-symbolic
        weather-few-clouds-wind-night
        weather-few-clouds-wind-night-symbolic
        weather-fog
        weather-fog-symbolic
        weather-freezing-rain
        weather-freezing-rain-symbolic
        weather-freezing-rain-day
        weather-freezing-rain-day-symbolic
        weather-freezing-rain-night
        weather-freezing-rain-night-symbolic
        weather-freezing-scattered-rain
        weather-freezing-scattered-rain-symbolic
        weather-freezing-scattered-rain-day
        weather-freezing-scattered-rain-day-symbolic
        weather-freezing-scattered-rain-night
        weather-freezing-scattered-rain-night-symbolic
        weather-freezing-scattered-rain-storm
        weather-freezing-scattered-rain-storm-symbolic
        weather-freezing-scattered-rain-storm-day
        weather-freezing-scattered-rain-storm-day-symbolic
        weather-freezing-scattered-rain-storm-night
        weather-freezing-scattered-rain-storm-night-symbolic
        weather-freezing-storm
        weather-freezing-storm-symbolic
        weather-freezing-storm-day
        weather-freezing-storm-day-symbolic
        weather-freezing-storm-night
        weather-freezing-storm-night-symbolic
        weather-hail
        weather-hail-symbolic
        weather-many-clouds
        weather-many-clouds-symbolic
        weather-many-clouds-wind
        weather-many-clouds-wind-symbolic
        weather-mist
        weather-mist-symbolic
        weather-none-available
        weather-none-available-symbolic
        weather-overcast
        weather-overcast-symbolic
        weather-overcast-wind
        weather-overcast-wind-symbolic
        weather-showers
        weather-showers-symbolic
        weather-showers-day
        weather-showers-day-symbolic
        weather-showers-night
        weather-showers-night-symbolic
        weather-showers-scattered
        weather-showers-scattered-symbolic
        weather-showers-scattered-day
        weather-showers-scattered-day-symbolic
        weather-showers-scattered-night
        weather-showers-scattered-night-symbolic
        weather-showers-scattered-storm
        weather-showers-scattered-storm-symbolic
        weather-showers-scattered-storm-day
        weather-showers-scattered-storm-day-symbolic
        weather-showers-scattered-storm-night
        weather-showers-scattered-storm-night-symbolic
        weather-snow
        weather-snow-symbolic
        weather-snow-day
        weather-snow-day-symbolic
        weather-snow-night
        weather-snow-night-symbolic
        weather-snow-rain
        weather-snow-rain-symbolic
        weather-snow-scattered
        weather-snow-scattered-symbolic
        weather-snow-scattered-day
        weather-snow-scattered-day-symbolic
        weather-snow-scattered-night
        weather-snow-scattered-night-symbolic
        weather-snow-scattered-storm
        weather-snow-scattered-storm-symbolic
        weather-snow-scattered-storm-day
        weather-snow-scattered-storm-day-symbolic
        weather-snow-scattered-storm-night
        weather-snow-scattered-storm-night-symbolic
        weather-snow-storm
        weather-snow-storm-symbolic
        weather-snow-storm-day
        weather-snow-storm-day-symbolic
        weather-snow-storm-night
        weather-snow-storm-night-symbolic
        weather-storm
        weather-storm-symbolic
        weather-storm-day
        weather-storm-day-symbolic
        weather-storm-night
        weather-storm-night-symbolic
    )

    ecm_add_android_apk(kweather ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(kweather PUBLIC Qt6::Widgets KF6::Crash)
endif()

if (UNIX AND NOT ANDROID AND BUILD_PLASMOID)
add_subdirectory(plasmoid)
endif()
target_include_directories(kweather PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS kweather ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kweather (25.12.2+p24.04+vunstable+git20260207.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 05:48:41 +0000

kweather (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:09:17 +0000
